%define	__prefix	/usr
%define __gnuversion	2.95.2

Summary: The GNU Compiler Collection: gcc and g++
Name: gcc2-with-g77
%define version 7
Version: %{version}
Release: 1a
Source: localhost:/%{name}-%{version}-%{release}.tar.gz
Group: Development/Languages
Copyright: Apple Public Source License, GPL
BuildRoot: %{_tmppath}/gcc-root

%description
The GNU Compiler Collection: gcc, g++, and g77.

%prep -n gcc-orig
mkdir -p $RPM_BUILD_ROOT

%install
tar -zpxvf $RPM_SOURCE_DIR/%{name}-%{version}-%{release}.tar.gz -C $RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f > list
find $RPM_BUILD_ROOT -type l >> list
sed -e "s;$RPM_BUILD_ROOT;;" list > list.new
mv list.new list

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Fri Sep 27 2002 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- 1st release on MacOS X Release 10.2
- g77 layered over gcc2-7 by APPLE

* Tue Oct 10 2001 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- 1st release on MacOS X Release 10.1
- g77 layered over gcc-932-1 by APPLE

* Thu Apr 21 2001 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- 1st release on MacOS X Release
- g77 layered over gcc-926-3 by APPLE



%files -f list
%defattr(-,root,wheel)
%dir %{__prefix}/include/gcc/darwin/%{__gnuversion}
%dir %{__prefix}/include/gcc/darwin/%{__gnuversion}/g++
%dir %{__prefix}/include/gcc/darwin/%{__gnuversion}/machine
%dir %{__prefix}/lib/gcc/darwin/%{__gnuversion}
%dir %{__prefix}/libexec/gcc/darwin/ppc/%{__gnuversion}
